<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>登录</title>
<script src="http://libs.baidu.com/jquery/2.0.3/jquery.min.js"></script>
<script src="./JS/MD5Tools.js"></script>

<style type="text/css">
	.login-container{
		margin-top: 50px
	}

	input,input[type=button]{
		width: 300px;
		height: 35px;
		margin-bottom: 20px;
		font-size: 15px
	}
	input[type=button]{
		background-color: green;
		border-radius:5px;
		margin-left: 40px;
		color: white
	}
</style>

<script>


var myreg=/^[1][3,4,5,7,8][0-9]{9}$/;
function ruleCheck(name,password) {

	if (!CheckForm(name,password)) {
		return false;
	}

	if (!myreg.test(name)) {
		alert(name+"不是一个有效的手机号码");
		return false;
	}

	if (!checkZmOrNum(password)) {
		return false;
	}
	return true;
}

// 登录
$(document).ready(function(){

	$.ajax({
		url : "http://127.0.0.1:8008/api/action/getUserInfo",
		dataType : 'json',
		type : 'post',
		data:{
			secret: 'www.union400.com',
		},
		success: function(data){
			res = data.data[0] 
			if (res['result']==1) {
				var name =  $(".user").val(res['username']);
				var extension = $(".extension").val(res['extension']);
				var secret = $(".secret").val(res['extension'].MD5(32));
			 }
			},
		error:function(data){
			alert("error"+data.error);
			},
		});
	
	$('.submit').click(function(){
		var user =  $(".user").val();
		var extension = $(".extension").val();
		var secret = $(".secret").val();
		window.location.href = "home.jsp?user="+user+"&extension="+extension+"&secret="+secret;
	})
});

</script>

</head>
<body >

	<div class="login-container" >
		<div class="login-header" >
			<h2>&nbsp;当前PC软电话账户信息&nbsp;</h2>
		</div>
		<div class="login-body">
			<form id="form1" method="post">
				用户名: <input type="text" class="user" name="user" maxlength="10" min="2"><br>
				800  号: <input type="text" class="extension" name="extension" maxlength="16" min="6" ><br>
				secret: <input type="text" class="secret" name="secret" maxlength="32" min="6"><br>
				<input type="button" class="submit" value="登录">
			</form>
		</div>
	</div>
	
</body>
</html>